All resources All frames

# TEFilter

This filter will compress the content of replies using GZIP. Compression is done on the fly. This assumes that you're really on a slow link, where you have lots of CPU, but not much bandwidth.
A nifty usage for that filter, is to plug it on top of a org.w3c.jigsaw.proxy.ProxyFrame, in which case it will compress the data when it flies out of the proxy.

## Inherits

The TEFilter class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ResourceFilter

## Attributes description

The TEFilter defines the following attributes:

- mime-types

`mime-types`

semantics
  The set of MIME types we are allowed to compress.
type
  This attribute is an editable StringArrayAttribute
default value
  This attribute defaults to null.

Jigsaw Team
$Id: org.w3c.jigsaw.filters.TEFilter.html,v 1.1 1998/07/28 13:04:28 benoit Exp $